Loading...
Searching...
No Matches
murmur3.h File Reference
libavutil » Crypto and Hashing » Hash Functions » Murmur3

Public header for MurmurHash3 hash function implementation. More...

`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Functions

struct AVMurMur3 * | av_murmur3_alloc (void)
| Allocate an AVMurMur3 hash context.
void | av_murmur3_init_seeded (struct AVMurMur3 *c, uint64_t seed)
| Initialize or reinitialize an AVMurMur3 hash context with a seed.
void | av_murmur3_init (struct AVMurMur3 *c)
| Initialize or reinitialize an AVMurMur3 hash context.
void | av_murmur3_update (struct AVMurMur3 *c, const uint8_t *src, size_t len)
| Update hash context with new data.
void | av_murmur3_final (struct AVMurMur3 *c, uint8_t dst[16])
| Finish hashing and output digest value.

## Detailed Description

Public header for MurmurHash3 hash function implementation.

Definition in file murmur3.h.